# sada 1: staci si pocitat, kolko bolo ludi, a vypisat vzdy dalsie cislo v poradi
prislo, odislo = 0, 0
while True:
    udalost = [ int(_) for _ in input().split() ]
    if udalost[0] == 0: break
    if udalost[0] == 1: prislo += 1
    if udalost[0] == 2:
        if prislo == odislo:
            print(-1)
        else:
            print(odislo)
            odislo += 1
